Summary: The Mutt Mail User Agent
Name: mutt
Version: 1.0.1i
%define srcver 1.0.1
Release: 2
Group: Applications/Mail
Copyright: GPL
Url: http://www.mutt.org
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.guug.de/pub/mutt/%{name}-%{version}.tar.gz
Requires: mailcap, slang >= 1.3.6
BuildRoot: /var/tmp/%{name}-root

%description
Mutt is a small but very poweful full-screen Unix mail client. Features
include MIME, POP3, multiple mailbox formats, color, message threading,
scoring, and bindable keys.

This package is the international version with support for PGP6.


%prep
%setup -q -n mutt-%{srcver}


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr --sysconfdir=/etc \
	--with-slang --disable-nls
make

# To get around problem to install as non-root user
perl -pi -e 's|chgrp mail.*$|\\|' Makefile


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/doc/mutt rpm_doc
rm -f contrib/{Makefile*,patch*}


%files
%defattr(-,root,root)
%config /etc/Muttrc
%doc rpm_doc/* contrib
/usr/bin/mutt
%attr(2755,root,mail) /usr/bin/mutt_dotlock
/usr/man/man*/*
#/usr/share/mutt


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Aug 18 1999 Hao Li <hli@wag.caltech.edu>
- Red Hat 6.0 has /var/spool/mail in (0775,root,mail), so
  /usr/bin/mutt_dotlock must be (2755,root,mail).
* Tue Apr 27 1999 Hao Li <hli@wag.caltech.edu>
- Mutt also provides /etc/mime.types but I choose to use the one provided by
  mailcap so mailcap is required. However the /etc/mime.types provided by
  mutt is clearly cleaner and more complete.
- Since NLS is disabled I don't think/usr/share/mutt is needed. So although 
  "make install" still installs it I comment it out from %files list.
- If mail spool directory (/var/spool/mail by default) is not world writable
  (2775,root,mail for example) /usr/bin/mutt needs to be preceeded by 
  %attr(2755,root,mail) in %file section.
- PGP should be installed at compile time if you want PGP support in mutt.
